#ifndef COLOR_H
#define COLOR_H
#include "config.h"

typedef struct {
    int r;
    int g;
    int b;
} rgb_t;

typedef enum {
    ct_shadow, ct_ground, ct_background, ct_font, ct_sensor,
    ct_title, ct_achievements, ct_menu, ct_menu_hilight,
    ct_gameover, ct_info, ct_warn,
    ct_myship, ct_myship_blink, ct_mybullet, 
    ct_enemyship, ct_enemyship_hit, ct_enemybullet, ct_laser, ct_hitbox,
    ct_end
} color_type_t;

#define COLOR_SHADOW_DEFAULT 8
#define COLOR_GROUND_DEFAULT 9
#define COLOR_NO_DRAW (-1)

typedef enum {
    cs_begin=0,
    cs_original=cs_begin, cs_ibm, cs_mac, cs_mz, cs_invisible,
    cs_end
} color_set_type_t;


int set_color(color_type_t ct);
void set_color_set_type(color_set_type_t cs);

#endif

//#define SetShadowColor()      EzSetColorByRGB(80, 80, 80)
//#define SetGroundColor()      EzSetColorByRGB(0, 0, 180)
//#define SetGroundColor()      EzSetColorByRGB(0, 0, 255)
//#define SetColor(c)  EzSetColorByRGB(color[c].r, color[c].g, color[c].b)

