#ifndef CONFIG_H
#define CONFIG_H
#include <assert.h>

#define MAJOR_VERSION 2
#define MINOR_VERSION 00

#define SAVE_DIR ".3dshoot"
#define ACHIEVEMENTS_FILE "3dshoot.dat"
#define CONFIG_FILE "3dshoot.cfg"

#define LOG_FILE "3dshoot.log"
#define LOG_OUTPUT_STDERR_DEFAULT 1
#define LOG_OUTPUT_FILE_DEFAULT 1
#define LOG_LIMIT (1024*1024)


#define APPLICATION_ID "\0003DSHOOT"
#define APPLICATION_ID_SIZE 8

#define GAME_SPEED 100
#define GAME_SPEED_SLOWDOWN 30
#define MYSHIP_LEFT_DEFAULT 3
#define AUTOFIRE_DEFAULT 1
#define SHOW_HITBOX_DEFAULT 0
#define VIEW_MODE_DEFAULT vm_bird
//#define VIEW_MODE_DEFAULT vm_isom


#ifndef FONT
#define FONT "IPA Gothic"
#define FONT_SIZE 16
#endif
#ifndef FONT_SIZE
#define FONT_SIZE 16
#endif

#endif

