#ifndef LAYOUT_H
#define LAYOUT_H

#define WIN_WIDTH 640
#define WIN_HEIGHT 480

#define INFO_LINESKIP 24
#define INFO_WIDTH 8*18
#define SENSOR_WIDTH 128
#define SENSOR_HEIGHT 128

#define INFO_LT_X 32
#define INFO_LT_Y 210
#define SENSOR_LT_X 32*15+16
#define SENSOR_LT_Y 32*6
#define SENSOR_X0  (SENSOR_LT_X + SENSOR_WIDTH/2 + 180) 
#define SENSOR_Y0  (SENSOR_LT_Y + SENSOR_HEIGHT/2 - 150)

#define INFO_LT_X_TOP (WIN_WIDTH-INFO_WIDTH)
#define INFO_LT_Y_TOP 120
#define SENSOR_LT_X_TOP SENSOR_LT_X
#define SENSOR_LT_Y_TOP SENSOR_LT_Y
#define SENSOR_X0_TOP   SENSOR_X0
#define SENSOR_Y0_TOP   SENSOR_Y0

#define INFO_LT_X_ISO (WIN_WIDTH-INFO_WIDTH)
#define INFO_LT_Y_ISO 48
#define SENSOR_LT_X_ISO 32
#define SENSOR_LT_Y_ISO 32
#define SENSOR_X0_ISO  (SENSOR_LT_X_ISO + SENSOR_WIDTH/2 + 180) 
#define SENSOR_Y0_ISO  (SENSOR_LT_Y_ISO + SENSOR_HEIGHT/2 - 150)



//#define SENSOR_RB_X (SENSOR_LT_X + SENSOR_XSIZE)
//#define SENSOR_RB_Y (SENSOR_LT_Y + SENSOR_YSIZE)




#define TOPVIEW_XMARGIN 32
#define TOPVIEW_YMARGIN 32
#define TOPVIEW_WIDTH (SENSOR_LT_X-TOPVIEW_XMARGIN)
#define TOPVIEW_X0 (TOPVIEW_WIDTH/2)

#define ISOMVIEW_XMARGIN 32
#define ISOMVIEW_YMARGIN 32
#define ISOMVIEW_WIDTH (WIN_WIDTH-ISOMVIEW_XMARGIN*2)
#define ISOMVIEW_X0 (ISOMVIEW_WIDTH/2+ISOMVIEW_XMARGIN)
#define ISOM_HEIGHT 120




#endif
